## EvPasswordView EvPasswordView |

## Functions

GtkWidget * | ev_password_view_new ()
void | ev_password_view_ask_password ()
const gchar * | ev_password_view_get_password ()
GPasswordSave | ev_password_view_get_password_save_flags ()

## Signals

void | unlock | Action

## Types and Values

struct | EvPasswordView
struct | EvPasswordViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkViewport
                            ╰── EvPasswordView

## Implemented Interfaces

EvPasswordView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ev_password_view_new ()

    GtkWidget *
    ev_password_view_new (GtkWindow *parent);

### ev_password_view_ask_password ()

    void
    ev_password_view_ask_password (EvPasswordView *password_view);

### ev_password_view_get_password ()

    const gchar *
    ev_password_view_get_password (EvPasswordView *password_view);

### ev_password_view_get_password_save_flags ()

    GPasswordSave
    ev_password_view_get_password_save_flags
                                   (EvPasswordView *password_view);

## Types and Values

### struct EvPasswordView

    struct EvPasswordView;

### struct EvPasswordViewClass

    struct EvPasswordViewClass {
    	GtkViewportClass parent_class;

    	/* signals */
    	void (*unlock) (EvPasswordView *self);
    };

## Signal Details

### The `“unlock”` signal

    void
    user_function (EvPasswordView *evpasswordview,
                   gpointer        user_data)

Flags: Action